Security update 170523 for IPC, IPC2, IPC2B

Engineering change notice
Post Reply
mbirger

Security update 170523 for IPC, IPC2, IPC2B

Post by mbirger »

Date: 30-May-2017
Security update for IPC, IPC2, IPC2B

Applies to
Below is the list of affected models:
  • Intense PC (IPC) and MintBox 2
  • IPC2 (4th gen Core models)
  • IPC2 (5th gen Core models)
Models above with BIOS earlier than 20-May-2017 have this vulnerability.

Vulnerability description
In case an affected model is exposed to malicious software running inside the operating system, the malicious software is able to read or write to Flash memory storing BIOS and Intel ME firmware and may corrupt or alter them.

Fix
A BIOS update prevents unauthorized access to firmware Flash memory.
Owners of affected models are advised to update BIOS.

Update instructions
http://fit-pc.com/wiki/index.php/Security_updates

Post Reply

Return to “ECN”